# # #
# /32/ivars_example.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/32-introducing-ruby-zucker-a-new-syntactical-sugar-gem
# # #

require 'zucker/ivars' # or 'zucker/all'

# Often, you have to write boilerplate code for assigning instance variables like
# this one:
def initialize(variable1, variable2)
  @variable1, @variable2 = variable1, variable2
end

# You can change it to
def initialize(variable1, variable2)
  instance_variables_from binding # assigns @variable1 and @variable2
end

# Another way of usage is to pass an hash as argument:
params = {:c => 3, :d => 4}
instance_variables_from params # # assigns @c and @d
